﻿using Accordion.Utilities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Accordion.Model
{
    public class ViewModel
    {
        public ViewModel()
        {
        }

        public InspectionComponent GetData()
        {
            InspectionComponent comp = new InspectionComponent();

            GdsObservableCollection<InspectionItem> coll = new GdsObservableCollection<InspectionItem>();

            coll.Add(new InspectionItem() { MainCategory = "aaa", SubCategory1 = "subcatAaa", SubCategory2 = "bbb", Id = "Ida", Name = "NameA", DataType = "string" });

            for (int i= 0; i< 20; i++) {
                coll.Add(makeFake("a", "subCatA", "b", i));
                coll.Add(makeFake("aa", "subCatAA", "bb", i));
                coll.Add(makeFake("aaa", "subCatAAA", "bbb", i));
                coll.Add(makeFake("aaaa", "subCatAAAA", "bbbb", i));
                coll.Add(makeFake("aaaaa", "subCatAAAAA", "bbbbb", i));
                coll.Add(makeFake("aaaaaa", "subCatAAAAAA", "bbbbbb", i));

            }

            //coll.Add(new InspectionItem() { MainCategory = "a", SubCategory1 = "subcat1", SubCategory2 = "b1", Id = "Id1", Name = "Name1", DataType = "string" });
            //coll.Add(new InspectionItem() { MainCategory = "a", SubCategory1 = "subcat1", SubCategory2 = "1b", Id = "Id2", Name = "Name2", DataType = "string" });
            //coll.Add(new InspectionItem() { MainCategory = "a", SubCategory1 = "subcat2", SubCategory2 = "b2", Id = "Id3", Name = "Name3", DataType = "string" });
            //coll.Add(new InspectionItem() { MainCategory = "a", SubCategory1 = "subcat2", SubCategory2 = "b2", Id = "Id4", Name = "Name4", DataType = "string" });
            //coll.Add(new InspectionItem() { MainCategory = "a", SubCategory1 = "subcat2", SubCategory2 = "b2", Id = "Id5", Name = "Name5", DataType = "string" });

            comp.InspectionItems = coll;
            return comp;
        }

        private InspectionItem makeFake(string mc, string sc1, string sc2, int cnt)
        {
            return new InspectionItem()
            {
                MainCategory = mc,
                SubCategory1 = sc1,
                SubCategory2 = sc2,
                Id = "Id" + cnt,
                Name = "Name" + cnt,
                DataType = "string"
            };
        }
    }
}
