﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Accordion.Model
{
    public class Validation
    {
        private const string requiredKey = "required";
        private const string maxLengthKey = "maxLength";

        private const string validationKey = "validation";

        private bool required;
        private int? maxLength;

        public Validation()
        {
            required = false;
            maxLength = null;
        }


 
        public bool Required
        {
            get
            {
                return required;
            }
            set
            {
                required = value;
            }
        }

        public int? MaxLength
        {
            get
            {
                return maxLength;
            }

            set
            {
                maxLength = value;
            }
        }
    }
}
